Installera Sarge

Debian GNU/Linux 3.1 har efterträtts av Debian GNU/Linux 4.0 (Etch). Vissa av installationsavbildningarna som anges nedan kanske inte längre är tillgängliga, eller fungerar inte längre, och vi rekommenderar att du istället installerar Etch.

För att installera Debian GNU/Linux 3.1r8 (Sarge) kan du hämta du en av följande avbildningar:

Nätverksinstallations-cd (100 Mbyte)

Andra avbildningar (netboot, usb-minne, osv.)

Dokumentation

Om du bara läser ett dokument innan du installerar, läs vår installationsguide, en snabbgenomgång av installationsprocessen. Andra nyttiga dokument är bland andra:

Errata

Errata för version 3.1r8

Inga ändringar från 3.1r7.

Errata för version 3.1r7

Problemet som beskrivs för 3.1r6 om att installera oldstable från nätverksspeglar har lösts. Alla 3.1r7-installations-cd och andra installationsavbildningar har återigen fullt stöd för att installera Sarge.

Installation av funktionen Skrivbordsmiljö kan misslyckas vid installation från en komplett cd. Detta beror på att OpenOffice inte finns på den första cd:n, utan att för vissa openoffice.org-paket finns säkerhetsuppdateringar på säkerhetsspeglarna.
Problemet kan undvikas genom att även välja manuellt paketval när du väljer skrivbordsfunktionen. Aptitude kommer då att visa paketen som skall installeras. Leta på openoffice.org-bin-paketet, avmarkera det genom att trycka på tangenten - och fortsätt därefter installationsproceduren genom att trycka på g-knappen.
Problemet kan även undvikas genom att lägga till en nätverksspegel, eller genom att även söka den andra kompletta cd:n under konfigureringen av Apt.

Errata för version 3.1r6

Problemet med val av kärna i 3.1r5 har lösts i denna utgåva.

På grund av att Sarge inte längre är den stabila utgåvan (stable) utan oldstable kommer installationsprogrammet inte längre att korrekt hämta paket från nätverksspeglar. Detta gäller huvudsakligen installationer som använder en nätverksspegel före den första omstarten, såsom nätinstallations- och visitkortsavbildningarna. Du kan fortfarande installera Sarge med nätinstallation och kompletta cd- eller dvd-avbildningar om du manuellt redigerar filen /etc/apt/sources.list och ser till att alla källor för nätverksspeglar pekar på sarge och intestable innan du installerar paket från en nätverksspegel. Detta har till effekt att du inte kan använda en nätverksspegel under installationen!

Errata för version 3.1r5

På fyra arkitekturer kan kan det hända att installationsprogrammet väljer fel kärna för ditt system. Påverkade arkitekturer är: i386, hppa, ia64 och s390.
Du kan gå runt problemet genom att starta installationsprogrammet med flaggan debconf/priority=medium. Detta gör att en komplett förteckning över tillgängliga kärnor visas, från vilka du manuellt kan välja vilken variant som passar bäst för ditt system.

Errata för version 3.1r4

3.1r4-underutgåvan uppdaterar inte installationsprogrammet, förutom att problemet som infördes i 3.1r4 för sparc32 har rättats i denna utgåva. De allmänna kommentarerna för 3.1r3 nedan gäller fortfarande.

Errata för version 3.1r3

Förutom den ursprungliga erratan för Sarge 3.1r0 som beskrivs nedan, bör du lägga märke till följande problem för uppdateringen av installationsprogrammet som gjordes i 3.1r3-utgåvan (r1 och r2 innehåll inte någon uppdatering i installationsprogrammet).

I samband med att kärnan uppdaterades i denna utgåvan kan vissa av de installationsavbildningar som ursprungligen släpptes med Sarge 3.1r0 sluta att fungera på grund av en skillnad mellan kärnan som installationen startar och kärn-udeb:arna som senare läses in. Alla installationsmetoder som hämtar udeb-filer från nätverket påverkas, t.ex. diskett- och nätverksbaserade installationer. De uppdaterade installationsavbildningarna fungerar som de skall.
Cd-baserade installationer påverkas inte, så du kan fortfarande använda cd-/dvd-avbildningar från tidigare utgåvor av Sarge.

Errata för version 3.1r0

Här är en förteckning över kända problem i installationsprogrammet som kommer med Debian GNU/Linux 3.1r8. Om du upplever ett problem som inte står beskrivet här när du installerar Debian ber vi dig sända in en installationsrapport som beskriver problemet, eller se wikin för andra kända problem.

Förbättrade versioner av installationssystemet utvecklas för nästa utgåva av Debian och kan även användas för att installera Sarge. För information, se sidan för Debian-Installer-projektet.

Installation för blinda - ”speakup”

För i386-arkitekturen har Debian en speciell uppsättning installationsavbildningar som stöder braille-skärmar. En fullständig förteckning över modeller som stöds finns i brltty-dokumentationen.